[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Variants' (#rtl)

# TInvokeableVariantType.SetProperty

Empty stub for IVarInvokeable.SetProperty, to be implemented in descendents

## Declaration

Source position: variants.pp line 238

`public function TInvokeableVariantType.SetProperty(`
`var V: tvardata;`
`const Name: string;`
`const Value: tvardata`
`):Boolean; virtual;`

## Arguments

`V` |  | Variant on which to operate
`Name` |  | Name of property to read
`Value` |  | Value to which property must be set

## Function result

Always false

## Description

SetProperty is the default implementation of IVarInvokeable.SetProperty, which always returns False. It must be overridden in descendent classes to implement actual writing of a property.

## See also

IVarInvokeable.SetProperty |  | Called when a property must be set